SDL_Joystick Struct Reference

`#include <SDL_sysjoystick.h>`

Collaboration diagram for SDL_Joystick:
[legend]

## Data Structures

struct | balldelta

## Data Fields

SDL_JoystickID | instance_id
char * | name
int | naxes
SDL_JoystickAxisInfo * | axes
int | nhats
Uint8 * | hats
int | nballs
struct _SDL_Joystick::balldelta * | balls
int | nbuttons
Uint8 * | buttons
struct joystick_hwdata * | hwdata
int | ref_count
SDL_bool | is_game_controller
SDL_bool | force_recentering
SDL_JoystickPowerLevel | epowerlevel
struct _SDL_Joystick * | next

## Detailed Description

Definition at line 41 of file SDL_sysjoystick.h.

## Field Documentation

## axes

SDL_JoystickAxisInfo* SDL_Joystick::axes

Definition at line 47 of file SDL_sysjoystick.h.

## balls

struct _SDL_Joystick::balldelta * SDL_Joystick::balls

## buttons

Uint8* SDL_Joystick::buttons

Definition at line 59 of file SDL_sysjoystick.h.

## epowerlevel

SDL_JoystickPowerLevel SDL_Joystick::epowerlevel

Definition at line 67 of file SDL_sysjoystick.h.

## force_recentering

SDL_bool SDL_Joystick::force_recentering

Definition at line 66 of file SDL_sysjoystick.h.

## hats

Uint8* SDL_Joystick::hats

Definition at line 50 of file SDL_sysjoystick.h.

## hwdata

struct joystick_hwdata* SDL_Joystick::hwdata

Definition at line 61 of file SDL_sysjoystick.h.

## instance_id

SDL_JoystickID SDL_Joystick::instance_id

Definition at line 43 of file SDL_sysjoystick.h.

## is_game_controller

SDL_bool SDL_Joystick::is_game_controller

Definition at line 65 of file SDL_sysjoystick.h.

## name

char* SDL_Joystick::name

Definition at line 44 of file SDL_sysjoystick.h.

## naxes

int SDL_Joystick::naxes

Definition at line 46 of file SDL_sysjoystick.h.

## nballs

int SDL_Joystick::nballs

Definition at line 52 of file SDL_sysjoystick.h.

## nbuttons

int SDL_Joystick::nbuttons

Definition at line 58 of file SDL_sysjoystick.h.

## next

struct _SDL_Joystick* SDL_Joystick::next

Definition at line 68 of file SDL_sysjoystick.h.

## nhats

int SDL_Joystick::nhats

Definition at line 49 of file SDL_sysjoystick.h.

## ref_count

int SDL_Joystick::ref_count

Definition at line 63 of file SDL_sysjoystick.h.

The documentation for this struct was generated from the following file:

- src/joystick/SDL_sysjoystick.h